Get the authenticated user
Returns the authenticated user’s account profile.
GET
/v1/user
const url = 'https://api.shiftsync.app/v1/user';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.shiftsync.app/v1/user \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The authenticated user
Media typeapplication/json
object
user
required
object
id
required
integer
emailAddress
required
string format: email
firstName
required
string
lastName
string
verified
required
boolean
isFacebookAuth
boolean
isGoogleAuth
boolean
isMicrosoftAuth
boolean
hasPassword
boolean
userPlan
required
string
firstDayOfWeek
required
string
timezone
required
string
avatarUrls
object
small
required
string format: uri
medium
required
string format: uri
large
required
string format: uri
markedForDeletion
required
boolean
deletionScheduledFor
string
Example
{ "user": { "id": 0, "emailAddress": "user@example.com", "firstName": "string", "lastName": "string", "verified": true, "isFacebookAuth": true, "isGoogleAuth": true, "isMicrosoftAuth": true, "hasPassword": true, "userPlan": "free", "firstDayOfWeek": "string", "timezone": "string", "avatarUrls": { "small": "https://example.com", "medium": "https://example.com", "large": "https://example.com" }, "markedForDeletion": true, "deletionScheduledFor": "string" }}